using DemoServices.ServiceContracts;
using System;

namespace DemoServices.ServiceImplementations
{
    public class ReverseService : IReverseService
    {
        public string Reverse(string msg)
        {
            //OperationContext.Current.RequestContext.RequestMessage
            Console.WriteLine("ReverseService : {0}", msg);
            char[] charArray = msg.ToCharArray(); 
            Array.Reverse(charArray);
            return new string(charArray);
        }
    }
}
